Subject: Closure on #12 - 1st message

From: "Susan Hares" <[email-masked]>
Date: Thu, 30 Jan 2003 05:52:02 -0500

I've added stop Open delay timer suggested 
by Tom Petch.  Please close this item

Sue
------------

Connect state: 
----------------------
 
     In response to the connect retry timer expires event [Event 
     9], the local system: 
        - drops the TCP connection, 
        - restarts the connect retry timer,
	- stops the Open Delay timer and resets the timer to zero,  
        - initiates a TCP connection to the other BGP peer, 
        - continues to listen for a connection that may be 
          initiated by the remote BGP peer, and
        - stays in Connect state.
....

     If the TCP connection fails [Event17], the local system:
         - restarts the connect retry timer, 
	 - stops the Open Delay timer and resets value to zero,
         - continues to listen for a connection that may be 
           initiated by the remote BGP peer, and
         - changes its state to Active. 

==========
 That eliminates most but not all of the possibilities I mentioned.  I
 now believe we would need to add the action 'stop OpenDelay timer' for
 
 Connect state
 event 17 (currently defined as going to Active)
 event 9 (stays in Connect state)

 in order to stop event 19 in Open Sent

This was discussed in the "bgp 18 WG Last Call fsm missing keepalive" thread.
And also in the "Event 19 in Open Sent state was Re: bgp18 WG Last Call 
fsm missing keepalive" thread.